API ReferenceAuthentication provider
Retrieve an Authentication Provider
GET
/v1/users/authentication-providers/{id}Retrieve an existing Authentication Provider by providing its ID.
Roles
adminissuermanaged-issuer
Analytics Events
USER_AUTHENTICATION_PROVIDER_RETRIEVE_STARTUSER_AUTHENTICATION_PROVIDER_RETRIEVE_SUCCESSUSER_AUTHENTICATION_PROVIDER_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Authentication Provider ID
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/users/authentication-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "redirectUrl": "http://example.com", "url": "http://example.com", "scope": [ "openid", "profile", "email" ], "clientId": "string", "tokenEndpointAuthMethod": "client_secret_basic", "staticRequestParameters": { "property1": "string", "property2": "string" }, "forwardedRequestParameters": [], "claimsToPersist": [], "clientSecret": "string"}How would you rate this page?